Page MenuHomePhabricator

Check PDF needed and appealing functionalities for communities
Closed, ResolvedPublic

Description

How do we use PDFs and book creator on Wikimedia projects?
What is the usual feature of such tools that is missing from ours or no longer working?
What features need to be preserved if we move to another system?
What are our options?

Closing: As this is now captured in T146757

Event Timeline

Moushira created this task.Sep 22 2016, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 4:21 PM

Is a clearer description available somewhere which problem to solve, e.g. explaining who "we" is, and how this is aligned with OCG work?

When it comes to missing things, also see https://phabricator.wikimedia.org/T33552 and https://phabricator.wikimedia.org/T43037 (old tracking tasks, open dependencies welcome triaging) and https://phabricator.wikimedia.org/T102513#2026603 (for a list of current Phab projects covering PDF related tasks).

Hey @Andre, this focuses on the community side of things, before taking any tech decisions.

@Moushira I think we need to extend this to the collections extension (aka, how do people use the book creator feature) unless you already have a task for that. The pdf stuff is unfortunately tied closely to book creator. :(

Qgil triaged this task as Normal priority.Oct 4 2016, 1:29 PM
Qgil added a subscriber: Qgil.

Assuming Normal priority.

JKatzWMF updated the task description. (Show Details)Oct 4 2016, 4:33 PM
Qgil added a comment.Nov 9 2016, 10:01 AM

Is this task related to T146757: Begin conversation with community on move from OCG to Electron (a subtask)? Should it be associated to Electron-PDFs?

Moushira closed this task as Resolved.Jan 22 2017, 7:58 PM
Moushira updated the task description. (Show Details)